Name:           perlbrew
Version:        0.50
Release:        1%{?dist}
Summary:        Manage perl installations in your $HOME
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/App-perlbrew/
Source0:        http://www.cpan.org/authors/id/G/GU/GUGOD/App-perlbrew-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Capture::Tiny) >= 0.19
BuildRequires:  perl(CPAN::Perl::Releases) >= 0.68
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Devel::PatchPerl) >= 0.76
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path::Tiny) >= 0.3
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IO::All)
BuildRequires:  perl(local::lib) >= 1.008000
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Output)
BuildRequires:  perl(Test::Spec)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Capture::Tiny) >= 0.19
Requires:       perl(Cwd)
Requires:       perl(Data::Dumper)
Requires:       perl(Devel::PatchPerl) >= 0.76
Requires:       perl(ExtUtils::MakeMaker)
Requires:       perl(File::Copy)
Requires:       perl(local::lib) >= 1.008000
Requires:       perl(Pod::Usage)
Requires:       curl

# maybe someone expects to find
Provides:       perl-App-perlbrew = %{version}-%{release}

%{?perl_default_filter}

%description
perlbrew is a program to automate the building and installation of perl in
the users HOME. At the moment, it installs everything to ~/perl5/perlbrew,
and requires you to tweak your PATH by including a bashrc/cshrc file it
provides. You then can benefit from not having to run 'sudo' commands to
install cpan modules because those are installed inside your HOME too. It's
almost like an isolated perl environments.

%prep
%setup -q -n App-perlbrew-%{version}

# test fails in mock
# see https://rt.cpan.org/Public/Bug/Display.html?id=72274
rm t/command-help.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Jul 22 2012 Iain Arnell <iarnell@gmail.com> 0.46-1
- update to latest upstream version

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.44-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 09 2012 Petr Pisar <ppisar@redhat.com> - 0.44-2
- Perl 5.16 rebuild

* Sun Jul 08 2012 Iain Arnell <iarnell@gmail.com> 0.44-1
- update to latest upstream version

* Thu Jun 21 2012 Petr Pisar <ppisar@redhat.com> - 0.43-2
- Perl 5.16 rebuild

* Sat Jun 09 2012 Iain Arnell <iarnell@gmail.com> 0.43-1
- update to latest upstream version

* Tue Mar 13 2012 Iain Arnell <iarnell@gmail.com> 0.42-1
- update to latest upstream version

* Tue Feb 07 2012 Iain Arnell <iarnell@gmail.com> 0.41-1
- update to latest upstream version

* Thu Jan 05 2012 Iain Arnell <iarnell@gmail.com> 0.39-1
- update to latest upstream version

* Mon Nov 14 2011 Iain Arnell <iarnell@gmail.com> 0.33-1
- update to latest upstream version

* Mon Nov 14 2011 Iain Arnell <iarnell@gmail.com> 0.32-1
- update to latest upstream version
- add additional runtime requires

* Sun Oct 09 2011 Iain Arnell <iarnell@gmail.com> 0.29-1
- update to latest upstream version

* Sat Aug 13 2011 Iain Arnell <iarnell@gmail.com> 0.28-1
- update to latest upstream version

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.27-3
- Perl mass rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.27-2
- Perl mass rebuild

* Wed Jul 13 2011 Iain Arnell <iarnell@gmail.com> 0.27-1
- update to latest upstream
- BR perl(File::Temp)

* Wed Jun 29 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.24-3
- Perl mass rebuild

* Sun Jun 12 2011 Iain Arnell <iarnell@gmail.com> 0.24-2
- BR perl(Test::Spec) and reinstate t/installation2.t

* Wed Jun 08 2011 Iain Arnell <iarnell@gmail.com> 0.24-1
- update to latest upstream version

* Fri Jun 03 2011 Iain Arnell <iarnell@gmail.com> 0.23-1
- update to latest upstream version

* Fri May 27 2011 Iain Arnell <iarnell@gmail.com> 0.22-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Wed May 11 2011 Iain Arnell <iarnell@gmail.com> 0.20-1
- update to latest upstream version

* Wed Mar 16 2011 Iain Arnell <iarnell@gmail.com> 0.18-1
- update to latest upstream version

* Thu Mar 10 2011 Iain Arnell <iarnell@gmail.com> 0.17-1
- update to latest upstream version

* Sun Feb 20 2011 Iain Arnell <iarnell@gmail.com> 0.16-1
- update to latest upstream version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 09 2010 Iain Arnell <iarnell@gmail.com> 0.15-2
- actually apply the older-Test-More patch

* Thu Dec 09 2010 Iain Arnell <iarnell@gmail.com> 0.15-1
- update to latest upstream version
- no longer requires perl(File::Path::Tiny)
- patch tests to work on older Test::More for EPEL

* Thu Dec 02 2010 Iain Arnell <iarnell@gmail.com> 0.14-1
- update to latest upstream version

* Tue Nov 23 2010 Iain Arnell <iarnell@gmail.com> 0.13-1
- update to latest upstream version

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.06-3
- Mass rebuild with perl-5.12.0

* Tue May 18 2010 Iain Arnell <iarnell@gmail.com> 0.06-2
- License is MIT, not "same as Perl"

* Sat May 08 2010 Iain Arnell 0.06-1
- Specfile autogenerated by cpanspec 1.78.
